# $Id: test_scanfio.rb,v 1.2 2004/03/02 11:21:32 dblack Exp $
#
# scanf for Ruby
#
# Ad hoc tests of IO#scanf (needs to be expanded)


require "scanf"

class TestScanfIO
  def test_io
    fh = File.new(File.join(File.dirname(__FILE__), "data.txt"), "r")
    assert_equal(0, fh.pos)
    assert_equal(["this", "is"], fh.scanf("%s%s"))
    assert_equal([33, "littel"], fh.scanf("%da fun%s"))
    #p fh.pos
  end
end

